2021-06-30  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Removed.
	* aclocal.m4: Removed.
	* configure: Removed.

2021-06-30  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Delete SIM_AC_OPTION_SCACHE call.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-30  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Delete SIM_AC_OPTION_DEFAULT_MODEL call.
	* sim-if.c (sim_open): Set STATE_MODEL_NAME.
	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-30  Mike Frysinger  <vapier@gentoo.org>

	* arch.c (sim_machs): Rename to ...
	(iq2000_sim_machs): ... this.
	* sim-if.c (iq2000_sim_machs): New decl.
	(sim_open): Set STATE_MACH.

2021-06-29  Mike Frysinger  <vapier@gentoo.org>

	* arch.c (sim_machs): Mark const.

2021-06-28  Mike Frysinger  <vapier@gentoo.org>

	* cpu.c (iq2000bf_record_trace_results): Delete function.

2021-06-22  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-06-21  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-21  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-06-20  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_COMMON): Delete.
	* aclocal.m4, configure: Regenerate.

2021-06-20  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-20  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (CGEN_MAINT): Delete.
	* configure.ac: Delete SIM_AC_OPTION_CGEN_MAINT call.
	* aclocal.m4, configure: Regenerate.

2021-06-20  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-19  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: Regenerate.
	* configure: Regenerate.

2021-06-19  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-06-18  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, configure: Regenerate.

2021-06-18  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_WERROR_CFLAGS): New variable.
	* configure.ac: Delete call to SIM_AC_OPTION_WARNINGS.
	* configure: Regenerate.

2021-06-18  Mike Frysinger  <vapier@gentoo.org>

	* iq2000.c: Include sim-signal.h.

2021-06-17  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Delete SIM_AC_OPTION_ENDIAN call.
	* sim-if.c (sim_open): Set current_target_byte_order.
	* aclocal.m4, configure: Regenerate.

2021-06-16  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-06-16  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.
	* config.in: Removed.

2021-06-15  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2021-06-12  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Delete call to SIM_AC_OPTION_ALIGNMENT.
	* sim-if.c (sim_open):

2021-06-12  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, config.in, configure: Regenerate.

2021-06-12  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2021-06-09  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Delete cgen_init call.

2021-05-17  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (struct sim_state): Delete.

2021-05-16  Mike Frysinger  <vapier@gentoo.org>

	* iq2000.c, sim-if.c: Include defs.h.
	* sim-main.h: Delete config.h include.

2021-05-16  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2021-05-04  Tom Tromey  <tromey@adacore.com>

	* mloop.in: Include <stdlib.h>.

2021-05-04  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-05-01  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2021-04-26  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (NL_TARGET): Delete.

2021-04-26  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_OPTION_HARDWARE): Delete call.
	* configure: Regenerate.

2021-04-23  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_OPTION_HARDWARE): Delete arguments.
	* configure: Regenerate.

2021-04-22  Tom Tromey  <tom@tromey.com>

	* configure, config.in: Rebuild.

2021-04-22  Tom Tromey  <tom@tromey.com>

	* Makefile.in (sim-if.o): Remove.
	(arch.o): Use COMPILE and POSTCOMPILE.
	(devices.o, iq2000.o, mloop.o, cpu.o, decode.o, sem.o, model.o):
	Remove.
	(SIM_EXTRA_DEPS): Add eng.h.

2021-04-22  Tom Tromey  <tom@tromey.com>

	* configure: Rebuild.

2021-04-21  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: Regenerate.

2021-04-21  Simon Marchi  <simon.marchi@polymtl.ca>

	* configure: Regenerate.

2021-04-18  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-04-18  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (NL_TARGET): Define.
	* iq2000.c: Include targ-vals.h.
	(libgloss_syscall): Delete.
	(do_syscall): Add TARGET_ prefix to all SYS_ constants.

2021-04-18  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-04-12  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Delete 3rd arg to sim_cpu_alloc_all.

2021-04-08  Tom Tromey  <tom@tromey.com>

	* iq2000.c: Include stdlib.h.

2021-04-08  Tom Tromey  <tom@tromey.com>

	* sim-if.c (sim_open, sim_create_inferior): Use new-style
	declaration.
	* iq2000.c (fetch_str): Use new-style declaration.

2021-04-02  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, configure: Regenerate.

2021-02-28  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-02-21  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (AC_CONFIG_MACRO_DIRS): Replace common with m4.
	* aclocal.m4, configure: Regenerate.

2021-02-13  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Replace sinclude with AC_CONFIG_MACRO_DIRS.
	* aclocal.m4, configure: Regenerate.

2021-02-06  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Delete call to STATE_WATCHPOINTS.

2021-02-06  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-01-30  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Delete STATE_WATCHPOINTS (sd)->sizeof_pc.

2021-01-11  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Call SIM_AC_OPTION_WARNINGS.
	* configure: Regenerate.

2021-01-11  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.
	* sim-if.c: Delete HAVE_STDLIB_H.

2021-01-09  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-01-08  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2021-01-04  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2017-09-06  John Baldwin  <jhb@FreeBSD.org>

	* configure: Regenerate.

2017-02-13  Mike Frysinger  <vapier@gentoo.org>

	* decode.c (iq2000bf_init_idesc_table): Use ARRAY_SIZE.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_OPTION_ENVIRONMENT): Delete call.
	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_OPTION_INLINE): Delete call.
	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-10  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-09  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2016-01-06  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Mark argv const.
	(sim_create_inferior): Mark argv and env const.

2016-01-04  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2016-01-03  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Update sim_parse_args comment.

2016-01-03  Mike Frysinger  <vapier@gentoo.org>

	* iq2000-sim.h: Delete file.
	* Makefile.in (SIM_EXTRA_DEPS): Delete iq2000-sim.h.
	* sim-main.h: Delete iq2000-sim.h include.

2016-01-03  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac (SIM_AC_OPTION_HOSTENDIAN): Delete.
	* configure: Regenerate.

2016-01-02  Mike Frysinger  <vapier@gentoo.org>

	* arch.h (TARGET_BIG_ENDIAN): Delete.
	* configure.ac (SIM_AC_OPTION_ENDIAN): Change BIG_ENDIAN to BIG.
	* configure: Regenerate.

2016-01-02  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_open): Delete #if 0 sim_add_option_table call.

2016-01-02  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (current_state): Delete.
	(sim_open): Delete current_state assignment.

2015-12-27  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_OBJS): Delete sim-hload.o.

2015-12-26  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2015-12-26  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_create_inferior): Replace old #if 0 code with dupargv.

2015-12-25  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_OBJS): Delete sim-model.o.
	* tconfig.h: Delete file.

2015-12-25  Mike Frysinger  <vapier@gentoo.org>

	* arch.c: Rename MACH to SIM_MACH.
	* cpuall.h: Likewise.
	* model.c: Rename MACH to SIM_MACH, MACH_IMP_PROPERTIES to
	SIM_MACH_IMP_PROPERTIES, and MODEL to SIM_MODEL.

2015-12-25  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (WITH_SCACHE_PBB): Move from ...
	* tconfig.h (WITH_SCACHE_PBB): ... here.

2015-12-24  Mike Frysinger  <vapier@gentoo.org>

	* tconfig.h (SIM_HANDLES_LMA): Delete.

2015-12-24  Mike Frysinger  <vapier@gentoo.org>

	* tconfig.h (SIM_HAVE_BREAKPOINTS, SIM_BREAKPOINT,
	SIM_BREAKPOINT_SIZE): Delete.

2015-12-24  Mike Frysinger  <vapier@gentoo.org>

	* tconfig.h (WITH_WATCHPOINTS): Delete.

2015-12-24  Mike Frysinger  <vapier@gentoo.org>

	* tconfig.h (SIM_HAVE_MEM_SIZE): Delete.

2015-11-15  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_OBJS): Delete sim-reason.o, sim-reg.o, and
	sim-stop.o.

2015-11-14  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_close): Delete.

2015-06-23  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-06-12  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-06-12  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-06-12  Mike Frysinger  <vapier@gentoo.org>

	* decode.c (frvbf_decode): Change TRACE_EXTRACT to CGEN_TRACE_EXTRACT.
	* mloop.in (execute): Change TRACE_INSN_INIT to CGEN_TRACE_INSN_INIT,
	TRACE_INSN to CGEN_TRACE_INSN, and TRACE_INSN_FINI to CGEN_TRACE_INSN_FINI.
	* sem.c: Rename TRACE_RESULT to CGEN_TRACE_RESULT.
	* sem-switch.c: Likewise.

2015-04-18  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (USING_SIM_BASE_H): Delete.

2015-04-18  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (_sim_cpu, SIM_CPU): Delete.

2015-04-18  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (sim_cia): Delete.

2015-04-17  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (CIA_GET, CIA_SET): Delete.

2015-04-15  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_OBJS): Delete sim-cpu.o.
	* sim-main.h (STATE_CPU): Delete.

2015-04-15  Mike Frysinger  <vapier@gentoo.org>

	* sim-main.h (struct sim_state): Change cpu to an array of pointers.
	(STATE_CPU): Handle WITH_SMP.

2015-04-13  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-04-06  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_OBJS): Delete sim-engine.o and sim-hrw.o.

2015-03-31  Mike Frysinger  <vapier@gentoo.org>

	* config.in, configure: Regenerate.

2015-03-24  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-03-24  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-03-23  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (CONFIG_DEVICES): Delete.
	(SIM_OBJS): Delete CONFIG_DEVICES.

2015-03-23  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-03-23  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2015-03-16  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, config.in, configure: Regenerate.
	* tconfig.in: Rename file ...
	* tconfig.h: ... here.

2015-03-15  Mike Frysinger  <vapier@gentoo.org>

	* tconfig.in [HAVE_DV_SOCKSER]: Delete.

2015-03-14  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (SIM_RUN_OBJS): Delete.

2014-08-23  Hans-Peter Nilsson  <hp@axis.com>

    	* configure.ac: Default simulator hardware to off again
	without emitting errors when off or dv-sockser.o unavailable.
    	* configure: Regenerate.

2014-08-19  Alan Modra  <amodra@gmail.com>

	* configure: Regenerate.

2014-08-15  Roland McGrath  <mcgrathr@google.com>

	* configure: Regenerate.
	* config.in: Regenerate.

2013-09-23  Alan Modra  <amodra@gmail.com>

	* configure: Regenerate.

2013-06-03  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, configure: Regenerate.

2013-03-26  Mike Frysinger  <vapier@gentoo.org>

	* configure: Regenerate.

2013-03-23  Joel Sherrill  <joel.sherrill@oarcorp.com>

	* configure.ac: Fail if dv-sockser.o not available.
	Error when --disable-sim-hardware is specified.
	* configure: Regenerated.

2012-06-15  Joel Brobecker  <brobecker@adacore.com>

	* config.in, configure: Regenerate.

2012-03-24  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4, config.in, configure: Regenerate.

2011-12-03  Mike Frysinger  <vapier@gentoo.org>

	* aclocal.m4: New file.
	* configure: Regenerate.

2011-10-17  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Change include to common/acinclude.m4.

2011-10-17  Mike Frysinger  <vapier@gentoo.org>

	* configure.ac: Change AC_PREREQ to 2.64.  Delete AC_CONFIG_HEADER
	call.  Replace common.m4 include with SIM_AC_COMMON.
	* configure: Regenerate.

2011-07-05  Mike Frysinger  <vapier@gentoo.org>

	* sim-if.c (sim_do_command): Delete.

2011-02-14  Mike Frysinger  <vapier@gentoo.org>

	* iq2000.c (do_syscall): Change zfree to free.

2010-02-11  Doug Evans  <dje@sebabeach.org>

	* cpu.h, * decode.c, * model.c, * sem-switch.c, * sem.c: Regenerate.

2010-01-09  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* configure: Regenerate.

2010-01-02  Doug Evans  <dje@sebabeach.org>

	* arch.c, * arch.h, * cpu.c, * cpu.h, * cpuall.h, * decode.c,
	* decode.h, * model.c, * sem-switch.c, * sem.c: Regenerate, update
	copyright year.

2010-01-01  Doug Evans  <dje@sebabeach.org>

	* mloop.in: Fix copyright year update snafu.

2009-11-22  Doug Evans  <dje@sebabeach.org>

	* cpu.h: Regenerate.
	* cpuall.h: Regenerate.
	* decode.c: Regenerate.
	* decode.h: Regenerate.

2009-11-03  Doug Evans  <dje@sebabeach.org>

	* arch.c: Regenerate.
	* arch.h: Regenerate.
	* cpu.c: Regenerate.
	* cpu.h: Regenerate.
	* cpuall.h: Regenerate.
	* decode.c: Regenerate.
	* decode.h: Regenerate.
	* model.c: Regenerate.
	* sem-switch.c: Regenerate.
	* sem.c: Regenerate.

2009-08-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* config.in: Regenerate.
	* configure: Likewise.

	* configure: Regenerate.

2009-07-12  Doug Evans  <dje@sebabeach.org>

	* Makefile.in (stamp-arch): Use $(CPU_DIR) instead of $(CGEN_CPU_DIR).
	(stamp-cpu): Ditto.

2009-07-07  Doug Evans  <dje@sebabeach.org>

	* Makefile.in (stamp-arch): Pass archfile to cgen-arch.
	(stamp-cpu): Pass archfile to cgen-cpu-decode.

2008-07-11  Hans-Peter Nilsson  <hp@axis.com>

	* configure: Regenerate to track ../common/common.m4 changes.
	* config.in: Ditto.

2008-06-06  Vladimir Prus  <vladimir@codesourcery.com>
	    Daniel Jacobowitz  <dan@codesourcery.com>
	    Joseph Myers  <joseph@codesourcery.com>

	* configure: Regenerate.

2006-12-21  Hans-Peter Nilsson  <hp@axis.com>

	* acconfig.h: Remove.
	* config.in: Regenerate.

2006-06-13  Richard Earnshaw  <rearnsha@arm.com>

	* configure: Regenerated.

2006-06-05  Daniel Jacobowitz  <dan@codesourcery.com>

	* configure: Regenerated.

2006-05-31  Daniel Jacobowitz  <dan@codesourcery.com>

	* configure: Regenerated.

2005-03-23  Mark Kettenis  <kettenis@gnu.org>

	* configure: Regenerate.

2005-02-21  Corinna Vinschen  <vinschen@redhat.com>

	* iq2000.c: Eliminate need to include gdb/sim-iq2000.h.

2005-02-18  Corinna Vinschen  <vinschen@redhat.com>

	* configure.ac: Rename from configure.in and pull up to autoconf 2.59.
	* configure: Regenerate.

2002-03-18  Jeff Johnston  <jjohnstn@redhat.com>

	* sem-switch.c: Regenerated.
	* sem.c: Ditto.

2002-01-28  Jeff Johnston  <jjohnstn@redhat.com>

	* arch.c: Regenerated.
	* arch.h: Ditto.
	* cpu.c: Ditto.
	* cpu.h: Ditto.
	* cpuall.h: Ditto.
	* decode.c: Ditto.
	* decode.h: Ditto.
	* model.c: Ditto.
	* sem-switch.c: Ditto.
	* sem.c: Ditto.

2001-11-16  Jeff Johnston  <jjohnstn@redhat.com>

	* decode.c: Regenerated after putting orui into machine-specific
	files.
	* decode.h: Ditto.
	* model.c: Ditto.
	* sem-switch.c: Ditto.
	* sem.c: Ditto.

2001-11-13  Jeff Johnston  <jjohnstn@redhat.com>

	* cpu.h: Regenerated after changing jump and branch operands
	so that no bit masking is performed.
	* decode.c: Ditto.
	* iq2000.c (get_h_pc): Change to return h_pc directly.
	(set_h_pc): Change to always set the insn mask bit.
	* sim-if.c (iq2000bf_disassemble_insn): Change to pass the
	pc untouched.
	(sim_create_inferior): Changed so starting address is taken
	directly from link.  If not specified, start address is
	0 with insn mask set on.

2001-11-08  Jeff Johnston  <jjohnstn@redhat.com>

	* cpu.h: Regenerated after making jump operand UINT.
	* decode.c: Ditto.

2001-10-31  Jeff Johnston  <jjohnstn@redhat.com>

	* sem-switch.c: Regenerated after fixing lb, lbu, lh, lw,
	sb, sh, and sw insns handling of offset operand.
	* sem.c: Ditto.

2001-10-30  Jeff Johnston  <jjohnstn@redhat.com>

	* cpu.c: Regenerated.
	* cpu.h: Ditto.
	* decode.c: Ditto.
	* sem-switch.c: Ditto.
	* sem.c: Ditto.
	* iq2000.c (get_h_pc): New routine.
	(set_h_pc): Ditto.
	(fetch_str): Translate cpu data addresses to data area.
	(do_syscall): Ditto.
	(iq2000bf_fetch_register): Use get_h_pc.
	(iq2000bf_store_register): Use set_h_pc.
	* mloop.in: Change all calls to GETIMEMxxx to use CPU2INSN
	on the pc value passed first.
	* sim-if.c (iq2000bf_disassemble_insn): New function.
	(sim_open): Add extra memory region for insn memory vs data memory.
	Also change disassembler to be iq2000bf_disassemble_insn.
	(sim_create_inferior): Translate start address using INSN2CPU macro.
	* sim-main.h (CPU2INSN, CPU2DATA, INSN2CPU, DATA2CPU): New macros
	to translate between Harvard and cpu addresses.

2001-10-26  Jeff Johnston  <jjohnstn@redhat.com>

	* sem-switch.c: Regenerated after reverting addiu
	change.
	* sem.c: Ditto.

2001-10-25  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.in: Add -UHAVE_CPU_IQ10 for time-being until
	iq10 simulator merged here.
	* cpu.h: Regenerated after fixing addiu insn.
	* cpuall.h: Ditto.
	* decode.c: Ditto.
	* decode.h: Ditto.
	* model.c: Ditto.
	* sem-switch.c: Ditto.
	* sem.c: Ditto.

2001-09-12  Stan Cox  <scox@redhat.com>

	* iq2000/{cpu.c, cpu.h, decode.c, decode.h, model.c, sem-switch.c,
	sem.c}: Regen'd.
	* iq2000.c (do_syscall): Support system traps.

2001-07-05  Ben Elliston  <bje@redhat.com>

	* Makefile.in (stamp-arch): Use $(CGEN_CPU_DIR).
	(stamp-cpu): Likewise.

2001-04-02  Ben Elliston  <bje@redhat.com>

	* arch.c, arch.h: Regnerate to track recent cgen improvements.
	* cpu.c, cpu.h, cpuall.h, decode.c, decode.h: Likewise.
	* model.c, sem-switch.c, sem.c: Likewise.

2001-01-22  Ben Elliston  <bje@redhat.com>

	* cpu.h, decode.c, decode.h, model.c: Regenerate.
	* sem.c, sem-switch.c: Likewise.

	* arch.c, arch.h, cpu.c, cpu.h, cpuall.h: Regenerate.
	* decode.c, decode.h, model.c, sem.c, sem-switch.c: Likewise.

2000-07-05  Ben Elliston  <bje@redhat.com>

	* configure: Regenerated to track ../common/aclocal.m4 changes.

2000-07-04  Ben Elliston  <bje@redhat.com>

	* sem.c, sem-switch.c: Regenerate.

	* iq2000.c (do_break): Use sim_engine_halt ().
	* arch.c, decode.c, decode.h, sem.c, sem-switch.c: Regenerate.

2000-07-03  Ben Elliston  <bje@redhat.com>

	* iq2000.c (do_syscall): Examine syscall register (nominally %11).
	(do_break): Handle breakpoints.
	* tconfig.in (SIM_HAVE_BREAKPOINTS): Define.
	(SIM_BREAKPOINT, SIM_BREAKPOINT_SIZE): Likewise.

2000-06-29  Andrew Cagney  <cagney@redhat.com>

	* iq2000.c (iq2000bf_fetch_register): Implement.
	(iq2000bf_store_register): Ditto.

2000-05-17  Ben Elliston  <bje@redhat.com>

	* mloop.in (extract-simple, extract-scache): Use SEM_SKIP_COMPILE
	to set the skip count for the (skip ..) rtx.
	(extract-pbb): Likewise.
	(extract-pbb): Include the delay slot instruction of all CTI
	instructions in the pbb, not just those that may nullify their
	delay slot (eg. likely branches).

	* sem.c, sem-switch.c: Regenerate.

2000-05-16  Ben Elliston  <bje@redhat.com>

	* arch.c, cpu.c, cpu.h, decode.c, decode.h: Regenerate.
	* sem.c, sem-switch.c: Likewise.
	* mloop.in (extract-pbb): Prohibit branch instructions in the
	delay slot of branch likely instructions.

2000-05-16  Ben Elliston  <bje@redhat.com>

	* Makefile.in: New file.
	* configure.in: Ditto.
	* acconfig.h: Ditto.
	* config.in, configure: Generate.
	* arch.c, arch.h, cpu.c, cpu.h, cpuall.h: Ditto.
	* decode.c, decode.h: Ditto.
	* model.c, sem-switch.c, sem.c: Ditto.
	* mloop.in: New file.
	* iq2000.c: Ditto.
	* iq2000-sim.h: Ditto.
	* sim-if.c: Ditto.
	* sim-main.h: Ditto.
	* tconfig.in: Ditto
